Name:           at-spi2-atk
Version:        0.4.0
Release:        %mkrel 1
Summary:        A GTK+ module that bridges ATK to D-Bus at-spi

Group:          System/Libraries
License:        LGPLv2+
URL:            http://www.linuxfoundation.org/en/AT-SPI_on_D-Bus
Source0:        http://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  at-spi2-core
BuildRequires:  dbus-glib-devel
BuildRequires:  libxml2-devel
BuildRequires:  atk-devel
BuildRequires:  libGConf2-devel
BuildRequires:  libx11-devel
BuildRequires:  intltool

Requires:       at-spi2-core

%description
at-spi allows assistive technologies to access GTK-based
applications. Essentially it exposes the internals of applications for
automation, so tools such as screen readers, magnifiers, or even
scripting interfaces can query and interact with GUI controls.

This version of at-spi is a major break from previous versions.
It has been completely rewritten to use D-Bus rather than
ORBIT / CORBA for its transport protocol.

This package includes a gtk-module that bridges ATK to the new
D-Bus based at-spi.


%prep
%setup -q
%apply_patches

%build
%configure2_5x --enable-relocate
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make


%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std

rm $RPM_BUILD_ROOT%{_libdir}/gtk-?.0/modules/at-spi-dbus/modules/libatk-bridge.la
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%preun
%preun_uninstall_gconf_schemas at-spi2

%files -f %name.lang
%defattr(-,root,root,-)
%doc AUTHORS README
%_sysconfdir/gconf/schemas/at-spi2.schemas
%{_libdir}/gtk-2.0/modules/at-spi-dbus/modules/libatk-bridge.so
%{_libdir}/gtk-3.0/modules/at-spi-dbus/modules/libatk-bridge.so
%dir %{_datadir}/gnome/autostart
%{_datadir}/gnome/autostart/atk-bridge.desktop



%changelog
* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.4.0-1mdv2011.0
+ Revision: 581616
- update to new version 0.4.0

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 0.3.92-1mdv2011.0
+ Revision: 578145
- update to new version 0.3.92

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 0.3.91.1-1mdv2011.0
+ Revision: 574686
- update to new version 0.3.91.1

* Tue Aug 31 2010 Götz Waschk <waschk@mandriva.org> 0.3.91-1mdv2011.0
+ Revision: 574618
- new version
- drop patches

* Tue Aug 17 2010 Götz Waschk <waschk@mandriva.org> 0.3.90-1mdv2011.0
+ Revision: 570824
- update to new version 0.3.90

* Tue Aug 03 2010 Götz Waschk <waschk@mandriva.org> 0.3.6-1mdv2011.0
+ Revision: 565434
- update build deps
- new version
- fix source URL
- fix makefile

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 0.3.5-1mdv2011.0
+ Revision: 563133
- update build deps
- new version
- update file list

* Wed Mar 31 2010 Götz Waschk <waschk@mandriva.org> 0.1.8-1mdv2010.1
+ Revision: 530227
- update to new version 0.1.8

* Fri Feb 19 2010 Götz Waschk <waschk@mandriva.org> 0.1.7-1mdv2010.1
+ Revision: 508297
- update to new version 0.1.7

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 0.1.6-1mdv2010.1
+ Revision: 502690
- update to new version 0.1.6

* Thu Jan 28 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2010.1
+ Revision: 497519
- import at-spi2-atk


* Thu Jan 28 2010 Götz Waschk <waschk@mandriva.org> 0.1.5-1mdv2010.1
- adapt for Mandriva

* Sun Jan 16 2010 Matthias Clasen <mclasen@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Tue Dec 22 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.4-1
- Update to 0.1.4

* Sat Dec  5 2009 Matthias Clasen <mclasen@redhat.com> - 0.1.3-1
- Initial packaging
